import React from 'react';
import { Icon, IconProps } from '../Icon';


export const IconSettings = (props: IconProps) => {
    return <Icon id="IconSettings" {...props}>
        <path fillRule="evenodd" clipRule="evenodd" d="M16.0001 12C16.0001 14.2091 14.2092 16 12.0001 16C9.79092 16 8.00006 14.2091 8.00006 12C8.00006 9.79086 9.79092 8 12.0001 8C14.2092 8 16.0001 9.79086 16.0001 12ZM14.5001 12C14.5001 13.3807 13.3808 14.5 12.0001 14.5C10.6193 14.5 9.50006 13.3807 9.50006 12C9.50006 10.6193 10.6193 9.5 12.0001 9.5C13.3808 9.5 14.5001 10.6193 14.5001 12Z" />
        <path fillRule="evenodd" clipRule="evenodd" d="M15.568 4.83971L15.1608 2.80388C15.0673 2.33646 14.6569 2 14.1802 2H9.81985C9.34317 2 8.93275 2.33646 8.83927 2.80388L8.43211 4.83971C8.1258 4.99233 7.82959 5.16447 7.54531 5.35505L5.57491 4.7009C5.12251 4.55071 4.62699 4.74072 4.39099 5.15488L2.23221 8.94338C1.99622 9.35754 2.08536 9.88071 2.44519 10.1933L4.01243 11.555C3.99637 11.8433 3.99593 12.1323 4.01111 12.4206L2.43975 13.7775C2.07896 14.089 1.98822 14.6119 2.22296 15.0268L4.37016 18.8219C4.6049 19.2368 5.09984 19.4283 5.5527 19.2795L7.52507 18.6313C7.81553 18.8273 8.11853 19.004 8.4321 19.1603L8.83927 21.1961C8.93275 21.6635 9.34317 22 9.81985 22H14.1802C14.6569 22 15.0673 21.6635 15.1608 21.1961L15.568 19.1603C15.8743 19.0077 16.1705 18.8355 16.4548 18.645L18.4252 19.2991C18.8776 19.4493 19.3731 19.2593 19.6091 18.8451L21.7679 15.0566C22.0039 14.6425 21.9147 14.1193 21.5549 13.8067L19.9877 12.445C20.0037 12.1566 20.0042 11.8677 19.989 11.5794L21.5604 10.2225C21.9212 9.91096 22.0119 9.38807 21.7772 8.97319L19.63 5.17812C19.3952 4.76325 18.9003 4.57173 18.4474 4.72054L16.475 5.36867C16.1845 5.17259 15.8815 4.99591 15.568 4.83971ZM10.2298 3.5L9.80458 5.62588C9.7705 5.79626 9.64983 5.93539 9.48957 6.00255C8.96602 6.22196 8.47727 6.50793 8.0339 6.84988C7.89625 6.95605 7.71553 6.99206 7.55054 6.93729L5.49132 6.25365L3.73842 9.32987L5.37595 10.7526C5.50696 10.8665 5.56813 11.0399 5.54732 11.2122C5.51612 11.4704 5.50006 11.7333 5.50006 12C5.50006 12.2599 5.51531 12.5162 5.54497 12.7681C5.56526 12.9405 5.50356 13.1137 5.37221 13.2272L3.73033 14.6449L5.47384 17.7265L7.53514 17.0491C7.70029 16.9948 7.88089 17.0314 8.01823 17.138C8.46574 17.4853 8.95984 17.7754 9.48957 17.9975C9.64982 18.0646 9.7705 18.2037 9.80458 18.3741L10.2298 20.5H13.7703L14.1955 18.3741C14.2296 18.2038 14.3503 18.0646 14.5105 17.9975C15.0341 17.778 15.5228 17.4921 15.9662 17.1501C16.1039 17.044 16.2846 17.0079 16.4496 17.0627L18.5088 17.7463L20.2617 14.6701L18.6242 13.2474C18.4932 13.1336 18.432 12.9601 18.4528 12.7878C18.484 12.5296 18.5001 12.2667 18.5001 12C18.5001 11.7401 18.4848 11.4838 18.4552 11.2319C18.4349 11.0595 18.4966 10.8863 18.6279 10.7728L18.854 10.5776L18.8482 10.5499L18.8984 10.5392L20.2698 9.35508L18.5263 6.27353L16.465 6.95089C16.2998 7.00516 16.1192 6.96859 15.9819 6.86201C15.5344 6.51469 15.0403 6.22454 14.5105 6.00254C14.3503 5.93538 14.2296 5.79625 14.1955 5.62586L13.7703 3.5H10.2298Z" />
    </Icon>;
};

export default IconSettings;
